/* 
 * %Z%%W% %I%
 * ===========================================================================
 * Licensed Materials - Property of IBM
 * "Restricted Materials of IBM"
 * IBM Java(tm)2 SDK, Standard Edition, v 1.4 
 *
 * (C) Copyright IBM Corp. 1998 , 2002. All Rights Reserved
 * (C) Copyright Sun Microsystems Inc. 1997 , 2002. All Rights Reserved
 * ===========================================================================
 */


package com.sun.tools.example.debug.gui;

import javax.swing.*;
import com.sun.tools.example.debug.bdi.OutputListener;

public class TypeScriptOutputListener implements OutputListener {

    private TypeScript script;
    private boolean appendNewline;
    
    public TypeScriptOutputListener(TypeScript script) {
	this(script, false);
    }
    
    public TypeScriptOutputListener(TypeScript script, boolean appendNewline) {
	this.script = script;
	this.appendNewline = appendNewline;
    }
    
    public void putString(String s) {
	script.append(s);
	if (appendNewline) 
	    script.newline();
    }

}
